Package net.shibboleth.idp.admin

# Class OneTimeAdministrativeFlowDescriptor

java.lang.Object
net.shibboleth.shared.component.AbstractInitializableComponent
net.shibboleth.shared.component.AbstractIdentifiedInitializableComponent
net.shibboleth.shared.component.AbstractIdentifiableInitializableComponent
net.shibboleth.profile.config.AbstractProfileConfiguration
net.shibboleth.profile.config.AbstractConditionalProfileConfiguration
net.shibboleth.idp.profile.config.AbstractInterceptorAwareProfileConfiguration
net.shibboleth.idp.admin.BasicAdministrativeFlowDescriptor
net.shibboleth.idp.admin.OneTimeAdministrativeFlowDescriptor

All Implemented Interfaces:
  `AdministrativeFlowDescriptor`, `AuthenticationProfileConfiguration`, `InterceptorAwareProfileConfiguration`, `FlowDescriptor`, `AttributeResolvingProfileConfiguration`, `ConditionalProfileConfiguration`, `OverriddenIssuerProfileConfiguration`, `ProfileConfiguration`, `Component`, `DestructableComponent`, `IdentifiableComponent`, `IdentifiedComponent`, `InitializableComponent`

public class OneTimeAdministrativeFlowDescriptor extends BasicAdministrativeFlowDescriptor
Descriptor for an administrative flow that tracks whether it's been run or not to limit use.

This is primarily for flows that are used to initialize the system in some fashion.

Since:
  3.4.0

## Nested Class Summary

## Nested classes/interfaces inherited from class net.shibboleth.idp.admin.BasicAdministrativeFlowDescriptor

`BasicAdministrativeFlowDescriptor.Logo`

## Field Summary

Fields
Modifier and Type
Field
Description
`private boolean`
`flowExecuted`
Execution flag.

### Fields inherited from interface net.shibboleth.profile.config.ProfileConfiguration

`DEFAULT_DISALLOWED_FEATURES`

## Constructor Summary

Constructors
Constructor
Description
`OneTimeAdministrativeFlowDescriptor(String id)`
Constructor.

## Method Summary

Modifier and Type
Method
Description
`boolean`
`isFlowExecuted()`
Get whether the flow has been executed.
`void`
`setFlowExecuted(boolean flag)`
Set whether the flow has been executed.

### Methods inherited from class net.shibboleth.idp.admin.BasicAdministrativeFlowDescriptor

`equals, getAttributeRecipientGroupID, getAuthenticationFlows, getDefaultAuthenticationMethods, getInboundInterceptorFlows, getIssuer, getLoggingId, getOutboundInterceptorFlows, getPolicyName, getPostAuthenticationFlows, getProxyCount, getRequestedIdPAttributeNames, getSecurityConfiguration, getUIInfo, hashCode, isAuthenticated, isForceAuthn, isNonBrowserSupported, isResolveAttributes, setAttributeRecipientGroupID, setAttributeRecipientGroupIDLookupStrategy, setAuthenticated, setAuthenticatedPredicate, setAuthenticationFlows, setAuthenticationFlowsLookupStrategy, setDefaultAuthenticationMethods, setDefaultAuthenticationMethodsByString, setDefaultAuthenticationMethodsByStringLookupStrategy, setDefaultAuthenticationMethodsLookupStrategy, setDescriptions, setDisplayNames, setForceAuthn, setForceAuthnPredicate, setInformationURLs, setIssuer, setIssuerLookupStrategy, setLoggingId, setLogos, setNonBrowserSupported, setNonBrowserSupportedPredicate, setPolicyName, setPolicyNameLookupStrategy, setPostAuthenticationFlows, setPostAuthenticationFlowsLookupStrategy, setPrincipalServiceManager, setPrivacyStatementURLs, setProxyCount, setProxyCountLookupStrategy, setRequestedIdPAttributeNames, setRequestedIdPAttributeNamesLookupStrategy, setResolveAttributes, setResolveAttributesPredicate, toString`

### Methods inherited from class net.shibboleth.idp.profile.config.AbstractInterceptorAwareProfileConfiguration

`setInboundInterceptorFlows, setInboundInterceptorFlowsLookupStrategy, setOutboundInterceptorFlows, setOutboundInterceptorFlowsLookupStrategy`

### Methods inherited from class net.shibboleth.profile.config.AbstractConditionalProfileConfiguration

`getActivationCondition, setActivationCondition`

### Methods inherited from class net.shibboleth.profile.config.AbstractProfileConfiguration

`getDisallowedFeatures, isFeatureDisallowed, setDisallowedFeatures, setDisallowedFeaturesLookupStrategy, setSecurityConfiguration, setSecurityConfigurationLookupStrategy`

### Methods inherited from class net.shibboleth.shared.component.AbstractIdentifiableInitializableComponent

`setId`

### Methods inherited from class net.shibboleth.shared.component.AbstractIdentifiedInitializableComponent

`doInitialize, ensureId, getId, ifDestroyedThrowDestroyedComponentException, ifInitializedThrowUnmodifiabledComponentException, ifNotInitializedThrowUninitializedComponentException`

### Methods inherited from class net.shibboleth.shared.component.AbstractInitializableComponent

`checkComponentActive, checkSetterPreconditions, destroy, doDestroy, initialize, isDestroyed, isInitialized`

### Methods inherited from class java.lang.Object

`clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

### Methods inherited from interface net.shibboleth.idp.admin.AdministrativeFlowDescriptor

`isLocal`

### Methods inherited from interface net.shibboleth.idp.authn.config.AuthenticationProfileConfiguration

`getMaxAge`

### Methods inherited from interface net.shibboleth.shared.component.DestructableComponent

`destroy, isDestroyed`

### Methods inherited from interface net.shibboleth.shared.component.IdentifiableComponent

`setId`

### Methods inherited from interface net.shibboleth.shared.component.IdentifiedComponent

`getId`

### Methods inherited from interface net.shibboleth.shared.component.InitializableComponent

`initialize, isInitialized`

### Methods inherited from interface net.shibboleth.profile.config.ProfileConfiguration

`getDisallowedFeatures, isFeatureDisallowed`

## Field Details

### flowExecuted

private boolean flowExecuted
Execution flag.

## Constructor Details

### OneTimeAdministrativeFlowDescriptor

public OneTimeAdministrativeFlowDescriptor(@Nonnull @NotEmpty String id)
Constructor.

Parameters:
  `id` - profile identifier

## Method Details

### isFlowExecuted

public boolean isFlowExecuted()
Get whether the flow has been executed.

Returns:
  execution flag

### setFlowExecuted

public void setFlowExecuted(boolean flag)
Set whether the flow has been executed.

Parameters:
  `flag` - flag to set